Package org.apache.activemq.artemis.uri.schema.connector

## Class InVMTransportConfigurationSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<java.util.List<TransportConfiguration>,​java.lang.String>
  - - org.apache.activemq.artemis.uri.schema.connector.AbstractTransportConfigurationSchema
    - - org.apache.activemq.artemis.uri.schema.connector.InVMTransportConfigurationSchema

- Direct Known Subclasses:
    `InVMAcceptorTransportConfigurationSchema`

      public class InVMTransportConfigurationSchema
      extends AbstractTransportConfigurationSchema

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONNECTIONS_ALLOWED` |
    `static java.lang.String` | `SECURITY_DOMAIN` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InVMTransportConfigurationSchema()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TransportConfiguration` | `createTransportConfiguration​(java.net.URI uri, java.util.Map<java.lang.String,​java.lang.String> query, java.lang.String name, java.lang.String factoryName)` |
    `protected java.lang.String` | `getFactoryName()` |
    `java.lang.String` | `getSchemaName()` |
    `protected java.util.List<TransportConfiguration>` | `internalNewObject​(java.net.URI uri, java.util.Map<java.lang.String,​java.lang.String> query, java.lang.String name)` |
    `protected java.net.URI` | `internalNewURI​(java.util.List<TransportConfiguration> bean)` |

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, internalPopulateObject, newObject, newObject, newURI, parseQuery, populateObject, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTIONS_ALLOWED

          public static final java.lang.String CONNECTIONS_ALLOWED

      See Also:
        Constant Field Values

    - #### SECURITY_DOMAIN

          public static final java.lang.String SECURITY_DOMAIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InVMTransportConfigurationSchema

          public InVMTransportConfigurationSchema()

  - ### Method Detail

    - #### getSchemaName

          public java.lang.String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<java.util.List<TransportConfiguration>,​java.lang.String>`

    - #### internalNewObject

          protected java.util.List<TransportConfiguration> internalNewObject​(java.net.URI uri,
                                                                             java.util.Map<java.lang.String,​java.lang.String> query,
                                                                             java.lang.String name)
                                                                      throws java.lang.Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<java.util.List<TransportConfiguration>,​java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### internalNewURI

          protected java.net.URI internalNewURI​(java.util.List<TransportConfiguration> bean)
                                         throws java.lang.Exception

      Overrides:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<java.util.List<TransportConfiguration>,​java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### getFactoryName

          protected java.lang.String getFactoryName()

    - #### createTransportConfiguration

          public static TransportConfiguration createTransportConfiguration​(java.net.URI uri,
                                                                            java.util.Map<java.lang.String,​java.lang.String> query,
                                                                            java.lang.String name,
                                                                            java.lang.String factoryName)